package com.cours.exception;

@SuppressWarnings("serial")
public class GestionPersonnesException extends RuntimeException
{
    /**
     * Le code d'erreur
     */
    private int code;

    public GestionPersonnesException(int code)
    {
        super();
        this.code = code;
    }

    public GestionPersonnesException(String message, int code)
    {
        super(message);
        this.code = code;
    }

    public GestionPersonnesException(Throwable cause, int code)
    {
        super(cause);
        this.code = code;
    }

    public GestionPersonnesException(String message, Throwable cause, int code)
    {
        super(message, cause);
        this.code = code;
    }

  // getter et setter
    public int getCode() {
        return (this.code);
    }

    public void setCode(int code) {
        this.code = code;
    }
}
